Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class AVTPartSimple

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.AVTPart
            |
            +--weblogic.apache.xalan.xslt.AVTPartSimple

public class AVTPartSimple
extends AVTPart

Simple string part of a complex AVT.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`AVTPartSimple(java.lang.String val)` Construct a simple AVT part.

Method Summary
`void` | `evaluate(XPathSupport execContext, java.lang.StringBuffer buf, org.w3c.dom.Node context, PrefixResolver nsNode)` Write the value into the buffer.

Methods inherited from class weblogic.apache.xalan.xslt.AVTPart
`setXPathSupport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPartSimple

    public AVTPartSimple(java.lang.String val)

  Construct a simple AVT part.

  Parameters:
    `val` - A pure string section of an AVT.

Method Detail

### evaluate

    public void evaluate(XPathSupport execContext,
                         java.lang.StringBuffer buf,
                         org.w3c.dom.Node context,
                         PrefixResolver nsNode)

  Write the value into the buffer.

  Parameters:
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.
  Overrides:
    evaluate in class AVTPart

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD